
Katello - Bug #6250

Deleting content view version yields undefined method `search_type' for

Katello::PuppetModule:Class

06/17/2014 01:02 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1110012 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1110012

Description of problem:

Synchronized RHEL 5Server RPMs for x86_64 and a custom yum repo pointing to the katello-agent. Added them both to a content

view, added a puppet module from a third custom puppet repo and published/promoted to DEV environment (Library + 1). Created

second custom repo pointing to same yum content, synchronized it. Edited the content view by removing the old custom repo and

adding the new one. Published a second version of the content view and promoted it to DEV again.

I then tried to use the CLI to remove/delete version 1 of this content view, which then raised the following error:

undefined method `search_type' for Katello::PuppetModule:Class

 The UI shows that the version 1 was deleted but I'm filing this for future investigation.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.17-1.el6sat.noarch

foreman-compute-1.6.0.17-1.el6sat.noarch

foreman-gce-1.6.0.17-1.el6sat.noarch

foreman-libvirt-1.6.0.17-1.el6sat.noarch

foreman-ovirt-1.6.0.17-1.el6sat.noarch

foreman-postgresql-1.6.0.17-1.el6sat.noarch

foreman-proxy-1.6.0.7-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.17-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.48-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch
pulp-selinux-2.4.0-0.20.beta.el6sat.noarch

pulp-server-2.4.0-0.20.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

rubygem-hammer_cli-0.1.1-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.4-6.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

1. hammer content-view list --organization-id 1

----------------|---------------------------|---------------------------|-----------|---------------

CONTENT VIEW ID | NAME                      | LABEL                     | COMPOSITE | REPOSITORY IDS

----------------|---------------------------|---------------------------|-----------|---------------

3               | RHEL 7 x86_64 CV          | RHEL_7_x86_64_CV          |           | 46, 13, 3

2               | RHEL 6 x86_64 CV          | RHEL_6_x86_64_CV          |           | 44, 11, 2

1               | Default Organization View | Default_Organization_View |           |

4               | RHEL 5 x86_64 CV          | RHEL_5_x86_64_CV          |           | 47, 7

----------------|---------------------------|---------------------------|-----------|---------------

1. hammer content-view info --id 4 --organization-id 1

ID:             4

Name:           RHEL 5 x86_64 CV

Label:          RHEL_5_x86_64_CV

Composite:

Description:

Organization:   ACME_Corporation

Repositories:

1) ID:    47

Name:  katello-agent-rhel-5-x86_64

Label: katello-agent-rhel-5-x86_64

2) ID:    7

Name:  Red Hat Enterprise Linux 5 Server RPMs x86_64 5Server

Label: Red_Hat_Enterprise_Linux_5_Server_RPMs_x86_64_5Server

Puppet Modules:

1) ID:      3

Name:    motd

Author:  jeffmccune

Created: 2014/06/14 16:03:31

Updated: 2014/06/14 16:03:31

Environments:

1) ID:   2

Name: DEV

2) ID:   1

Name: Library

Versions:

1) ID:        4

Version:   1

Published: 2014/06/14 16:03:48

2) ID:        6

Version:   2

Published: 2014/06/16 18:43:24

Components:
1. hammer content-view version delete --id 4 --content-view-id 4 --organization-id 1

[..........................................................................................................................................             ] [91%]

Task 888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1: error

undefined method `search_type' for Katello::PuppetModule:Class

> /var/log/foreman/production.log <

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(22.2ms)

Completed 200 OK in 84ms (Views: 26.0ms | ActiveRecord: 35.0ms)

undefined method `search_type' for Katello::PuppetModule:Class (NoMethodError)

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/elastic_search/backend_indexed_model.rb:66:in

`block in update_array'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/elastic_search/backend_indexed_model.rb:63:in

`map'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/elastic_search/backend_indexed_model.rb:63:in

`update_array'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/elastic_search/puppet_module.rb:230:in

`remove_indexed_repoid'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/elastic_search/repository/destroy.rb:29:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:439:in `block (3 levels) in execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:26:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:51:in `block (2 levels) in

as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:85:in `set_pulp_config'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:41:in `as_pulp_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:50:in `block in as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:92:in `set_cp_config'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:36:in `as_cp_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:49:in `as_remote_user'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action/progress.rb:30:in `with_progress_calculation'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action/progress.rb:16:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware.rb:16:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:35:in `with_locale'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/stack.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/middleware/world.rb:30:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:438:in `block (2 levels) in execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:437:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:437:in `block in execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:in `block in with_error_handling'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:361:in `with_error_handling'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:432:in `execute_run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/action.rb:226:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in `block (2 levels)

in execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract.rb:152:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract.rb:152:in `with_meta_calculation'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in `block in

execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in `open_action'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/executors/parallel/worker.rb:20:in `block in on_message'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in `block in assigns'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `tap'
/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in `assigns'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in `match_value'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in `block in match'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in `match'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/executors/parallel/worker.rb:17:in `on_message'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:82:in `on_envelope'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:72:in `receive'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:99:in `block (2 levels) in run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:99:in `loop'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:99:in `block in run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:99:in `catch'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:99:in `run'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.0/lib/dynflow/micro_actor.rb:13:in `block in initialize'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'  > /var/log/messages <

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.tasks.repository.delete[a187dc51-f495-4dea-be31-ea565c36ec47]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.tasks.repository.delete[44f0ef30-5e99-4ff2-9093-6b064141aecc]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.tasks.repository.delete[6a35ef63-31ac-4660-b3c4-86f1a3dead5b]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._queue_release_resource[d63a260e-7e43-4c69-b4c3-4992471648ad]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._queue_release_resource[cc3e9281-6b78-4222-a1e7-ed752ebf1080]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.tasks.repository.delete[a187dc51-f495-4dea-be31-ea565c36ec47] succeeded in 0.0388179529691s:

<pulp.server.async.tasks.TaskResult object at 0x3153d50>

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._release_resource[90557192-76bc-48d3-b95e-565325e389c3]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._queue_release_resource[f046aafc-b501-4ea5-9a48-cc990de81149]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._queue_release_resource[d63a260e-7e43-4c69-b4c3-4992471648ad] succeeded in 0.0270536349854s:

None

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._release_resource[90557192-76bc-48d3-b95e-565325e389c3] succeeded in 0.0361175060389s: None

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.tasks.repository.delete[44f0ef30-5e99-4ff2-9093-6b064141aecc] succeeded in 0.311150958005s:

<pulp.server.async.tasks.TaskResult object at 0x3cac910>

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._release_resource[b3381013-a304-4f7b-9443-7cd0b6249083]

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._queue_release_resource[cc3e9281-6b78-4222-a1e7-ed752ebf1080] succeeded in 0.0169242139673s:

None

Jun 16 15:57:41 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._release_resource[b3381013-a304-4f7b-9443-7cd0b6249083] succeeded in 0.0418881889782s: None  >

/var/log/foreman/production.log <

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.8ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(205.6ms)

Completed 200 OK in 243ms (Views: 205.9ms | ActiveRecord: 16.2ms)  > /var/log/messages <

Jun 16 15:57:43 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.tasks.repository.delete[6a35ef63-31ac-4660-b3c4-86f1a3dead5b] succeeded in 2.30894968496s:

<pulp.server.async.tasks.TaskResult object at 0x4d68410>

Jun 16 15:57:43 cloud-qe-8 pulp: celery.worker.strategy:INFO: Received task:

pulp.server.async.tasks._release_resource[e31fa0fd-345a-450d-87de-276bc2cee058]

Jun 16 15:57:43 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._queue_release_resource[f046aafc-b501-4ea5-9a48-cc990de81149] succeeded in 0.00734535703668s:
None

Jun 16 15:57:43 cloud-qe-8 pulp: celery.worker.job:INFO: Task

pulp.server.async.tasks._release_resource[e31fa0fd-345a-450d-87de-276bc2cee058] succeeded in 0.0425417259685s: None  >

/var/log/foreman/production.log <

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.9ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(30.9ms)

Completed 200 OK in 65ms (Views: 31.5ms | ActiveRecord: 12.7ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.8ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(18.1ms)

Completed 200 OK in 54ms (Views: 18.2ms | ActiveRecord: 10.5ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 2ms (Views: 1.4ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(18.8ms)

Completed 200 OK in 59ms (Views: 19.2ms | ActiveRecord: 15.5ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.8ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(19.9ms)

Completed 200 OK in 63ms (Views: 22.0ms | ActiveRecord: 7.2ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.9ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(20.1ms)

Completed 200 OK in 187ms (Views: 20.3ms | ActiveRecord: 9.2ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.9ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(28.6ms)

Completed 200 OK in 58ms (Views: 29.0ms | ActiveRecord: 10.1ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)
Completed 200 OK in 1ms (Views: 0.8ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(19.0ms)

Completed 200 OK in 52ms (Views: 19.3ms | ActiveRecord: 12.3ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 1.2ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(28.0ms)

Completed 200 OK in 204ms (Views: 28.6ms | ActiveRecord: 149.7ms)

Processing by Apipie::ApipiesController#apipie_checksum as JSON

Parameters: {"apipy"=>{}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipies/apipie_checksum.json.erb (0.1ms)

Completed 200 OK in 1ms (Views: 0.8ms | ActiveRecord: 0.0ms)

Processing by ForemanTasks::Api::TasksController#show as application/json;version=2

Parameters: {"id"=>"888f9e5a-0d4e-49fc-b5f1-6dee0866dfe1", "task"=>{}}

Authorized user admin(Admin User)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.0/app/views/foreman_tasks/api/tasks/show.json.rabl

(19.3ms)

Completed 200 OK in 204ms (Views: 19.6ms | ActiveRecord: 45.3ms)

Associated revisions

Revision 6d9ac70a - 06/17/2014 01:02 PM - David Davis

Fixes #6250,BZ1110012 - Define search_type for PuppetModule class

Revision 81bc0fdd - 06/17/2014 02:29 PM - David Davis

Merge pull request #4283 from daviddavis/temp/20140617090242

Fixes #6250,BZ1110012 - Define search_type for PuppetModule class

History

#1 - 06/17/2014 02:33 PM - Eric Helms

- Target version set to 48

- Difficulty set to trivial

- Triaged set to Yes

#2 - 06/17/2014 02:52 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:6d9ac70a1526d7f3a98054faf8fbae2719249ca7.

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
